Does the fixing updates for Meltdown and Spectre vulnerabilities affects any engines in MetaDefender Core v3?

On January 3, 2018 Microsoft has released a set of updates that should resolve the Meltdown and Spectre vulnerabilities, but in the same time was identified a compatibility issue with a small number of antivirus software products.

The compatibility issue arises when antivirus applications make unsupported calls into Windows kernel memory. These calls may cause stop errors (also known as blue screen errors) that make the device unable to boot.

From the tests we conducted on all Windows operating systems we support, we noticed that the only engine affected by Windows updates is F-secure as it follows:

  • Windows 7: F-secure working as expected after applying the windows security update

  • Windows 8.1: F-secure can't scan after applying the windows security update

  • Windows 10: F-secure can't scan after applying the windows security update

  • Windows Server 2008 R2: F-secure working as expected after applying the windows security update

  • Windows Server 2012 R2: F-secure can't scan after applying the windows security update

  • Windows Server 2016 Data Center: F-secure can't scan after applying the windows security the update

At this moment, we are actively working with the vendor in order to fix the engine and we will continuously update the knowledge base article with any news we have.

This article applies to MetaDefender Core v3
This article was last updated on 2018-01-08
EF